//**********************************************************************************************
//
//    Copyright (c) 1998 Axon Instruments.
//    All rights reserved.
//
//**********************************************************************************************
// HEADER:  WINCPP.HPP
// PURPOSE: Contains common includes. Used for generation of precompiled headers.
// AUTHOR:  BHI  Aug 1998
//

#include "..\..\CommonLib\CommonLib.h"

#include <stdio.h>   
#include <stdlib.h>  
#include <ctype.h>  
#include <limits.h>
#include <memory.h>  
#include <string.h>
#include <math.h>

#ifdef _WINDOWS
#ifdef _MSC_VER
#pragma warning(disable:4201)   // warning C4201: nonstandard extension used : nameless struct/union
#endif
#include <winioctl.h>
#include <objbase.h>
#endif

#include "\AxonDev\Comp\CommonLib\adcdac.h"
#include "\AxonDev\Comp\CommonLib\ArrayPtr.hpp"
#include "\AxonDev\Comp\CommonLib\FileIO.hpp"
#include "\AxonDev\Comp\CommonLib\Timer.hpp"

#include "AxDD1550B.h"

#include "..\USB2Driver\WD_Utils.hpp"
typedef CWD_AutoLock<CWD_CriticalSection> AUTO_LOCK;
#define AUTO_LOCK_CS  AUTO_LOCK AL(&m_CS)

inline int Round(double dVal)
{
   return (int)floor(dVal+0.5);
}

inline short ClipToShort(double dValue)
{
   if (dValue >= 32767)
      return 32767;
   if (dValue <= -32768)
      return -32768;
   return (short)Round(dValue);
}
