#pragma once

#include "Protocol.hpp"

// CProtocolDlg dialog

class CProtocolDlg : public CDialog
{
private:
	DECLARE_DYNAMIC(CProtocolDlg)

   Protocol *m_pProtocol;
   char      m_szPath[_MAX_PATH*2];
   CString   name;

public:
	CProtocolDlg(CWnd* pParent, Protocol *pProtocol);   // standard constructor
	virtual ~CProtocolDlg();

// Dialog Data
	enum { IDD = IDD_PROTOCOL };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
   afx_msg void OnBnClickedSetall();
   afx_msg void OnBnClickedClear();
   afx_msg void OnBnClickedLoad();
   afx_msg void OnBnClickedSave();
   afx_msg void OnBnClickedInit();
   afx_msg void OnBnClickedDoLow();
   afx_msg void OnBnClickedDoHigh();
   afx_msg void OnBnClickedDoSquare();
   afx_msg void OnBnClickedScopeOut();
 };
