#if !defined(INC_CHOOSEDEVICEDLG_HPP)
#define INC_CHOOSEDEVICEDLG_HPP

// ChooseDeviceDlg.hpp : header file
//

/////////////////////////////////////////////////////////////////////////////
// CChooseDeviceDlg dialog

class CChooseDeviceDlg : public CDialog
{
private:
	bool m_bInit;
	UINT m_uDevices;
	int  m_nDeviceError;
	UINT m_uSerial;
	UINT m_uFirstChannel;

	bool FillList();
	bool ShowDeviceError();

	// Construction
public:
	CChooseDeviceDlg(CWnd* pParent, UINT uDevices);   // standard constructor

	UINT GetSerial()        { return m_uSerial;       }
	UINT GetFirstChannel()  { return m_uFirstChannel; }

	// Dialog Data
	//{{AFX_DATA(CChooseDeviceDlg)
	enum { IDD = IDD_CHOOSE_DEVICE };
	CListCtrl	m_List;
	//}}AFX_DATA


	// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CChooseDeviceDlg)
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual LRESULT DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

	// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CChooseDeviceDlg)
	afx_msg void OnDblclkList(NMHDR* pNMHDR, LRESULT* pResult);
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(INC_CHOOSEDEVICEDLG_HPP)
