#pragma once


// CTestInputsDlg dialog

class CTestInputsDlg : public CDialog
{
private:
	DECLARE_DYNAMIC(CTestInputsDlg)
   DD1550B_Device         *m_pDevice;
   const DD1550B_Protocol *m_pProtocol;
   BOOL                   m_abAI[DD1550B_MAX_AI_CHANNELS];
   BOOL                   m_bDI;

private:
   bool ShowDeviceError(int nError=0);

public:
	CTestInputsDlg();

   void SetDevice(DD1550B_Device *pDevice, const DD1550B_Protocol *pProtocol);
   void Update();

// Dialog Data
	enum { IDD = IDD_INPUTS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
   afx_msg void OnBnClickedReadInputs();
   afx_msg void OnBnClickedTelegraphs();
   afx_msg void OnBnClickedSetall();
   afx_msg void OnBnClickedClear();
protected:
   virtual void OnCancel();
};
