// DD1550B.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "DD1550B.h"
#include "DD1550BDlg.h"
#include "\AxonDev\Comp\CommonLib\AxoTrace.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CDD1550Bpp

BEGIN_MESSAGE_MAP(CDD1550Bpp, CWinApp)
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()


// CDD1550Bpp construction

CDD1550Bpp::CDD1550Bpp()
{
	// TODO: add construction code here,
	// Place all significant initialization in InitInstance
}


// The one and only CDD1550Bpp object

CDD1550Bpp theApp;


// CDD1550Bpp initialization

BOOL CDD1550Bpp::InitInstance()
{
	// InitCommonControls() is required on Windows XP if an application
	// manifest specifies use of ComCtl32.dll version 6 or later to enable
	// visual styles.  Otherwise, any window creation will fail.
	InitCommonControls();

	CWinApp::InitInstance();

	MfxTraceInit();   // Redirect TRACE to AxoTrace

	// Standard initialization
	MDC_SetMDCRegistryRoot();
	SetRegistryKey(MDC_GetRegistryRoot());


	UINT uSerial       = DD1550B_ANY_DEVICE; // Any device.
	UINT uFirstChannel = 0;
	{
		int argc    = __argc;
		char **argv = __argv;

		--argc;
		++argv;

		while (argc--)
		{
			LPCSTR psz = *argv++;
			if (psz[0]=='-' || psz[0]=='/')
			{
				if (psz[1]=='d' || psz[1]=='D')
					uSerial = atoi(psz+2);
				if (psz[1]=='c' || psz[1]=='C')
					uFirstChannel = atoi(psz+2);
			}
		}
	}

	CDD1550BDlg dlg;
	dlg.SetDevice(uSerial, uFirstChannel);
	m_pMainWnd = &dlg;
	dlg.DoModal();

	// Since the dialog has been closed, return FALSE so that we exit the
	//  application, rather than start the application's message pump.
	return FALSE;
}
